Old Firefox .msi needed

Post Reply
mbalut
Posts: 9
Joined: Thu Jun 17, 2010 7:47 am

Old Firefox .msi needed

Post by mbalut » Thu Jun 17, 2010 7:51 am

nevermind, I needed old CE version, I was trying to download the wrong version.!

Post Reply